/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author Mark Little (mark.little@jboss.com)
 */

package org.jboss.ejb;

import javax.ejb.*;

import com.arjuna.orbportability.OA;
import com.arjuna.orbportability.RootOA;
import com.arjuna.orbportability.ORB;

import com.arjuna.ats.internal.jts.ORBManager;

import com.arjuna.ats.jta.TransactionManager;

import javax.transaction.*;

public class TestBean implements SessionBean
{
    public void ejbCreate() {}
    public void ejbActivate() {}
    public void ejbPassivate() {}
    public void ejbRemove() {}
    public void setSessionContext(SessionContext sc) {}

    public void work ()
    {
	System.err.println("**work**");

	try
	{
	    UserTransaction ut = com.arjuna.ats.jta.UserTransaction.userTransaction();

	    ut.begin();

	    Transaction txImple = TransactionManager.transactionManager().getTransaction();

	    System.err.println("**enlisting resources**");
	    
	    txImple.enlistResource(new ExampleXAResource("1", true));
	    txImple.enlistResource(new ExampleXAResource("2", true));

	    System.err.println("**committing**");
	    
	    ut.commit();
	}
	catch (Throwable e)
	{
	    e.printStackTrace();
	}
    }

}

